A Galeria do PowerShellThe PowerShell Gallery

A Galeria do PowerShell é o repositório central de conteúdo do PowerShell.The PowerShell Gallery is the central repository for PowerShell content. Você pode encontrar novos comandos do PowerShell ou recursos DSC (Configuração de Estado Desejado) na Galeria.You can find new PowerShell commands or Desired State Configuration (DSC) resources in the Gallery.

Visão geral do PowerShellGetPowerShellGet Overview

O módulo do PowerShellGet contém cmdlets para descoberta, instalação, atualização e publicação dos artefatos do PowerShell como Módulos, Recursos DSC, Funcionalidades de Função e Scripts de https://www.PowerShellGallery.com e outros repositórios privados.PowerShellGet module contains cmdlets for discovering, installing, updating and publishing the PowerShell artifacts like Modules, DSC Resources, Role Capabilities and Scripts from the https://www.PowerShellGallery.com and other private repositories.

A instalação de itens da Galeria exige a versão mais recente do módulo PowerShellGet, disponível no Windows 10, no WMF (Windows Management Framework) 5.0 ou no instalador baseado em MSI (para PowerShell 3 e 4).Installing items from the Gallery requires the latest version of the PowerShellGet module, which is available in Windows 10, in Windows Management Framework (WMF) 5.0, or in the MSI-based installer (for PowerShell 3 and 4).

Com o módulo PowerShellGet mais recente, você pode:With the latest PowerShellGet module, you can:

Confira a página Introdução para obter mais informações sobre como usar os comandos PowerShellGet com a Galeria.Check out the Getting Started page for more information on how to use PowerShellGet commands with the Gallery. Também é possível executar Update-Help -Module PowerShellGet para instalar a ajuda local para esses comandos.You can also run Update-Help -Module PowerShellGet to install local help for these commands.

Sistemas operacionais com suporteSupported Operating Systems

O módulo PowerShellGet exige o PowerShell 3.0 ou mais recente.The PowerShellGet module requires PowerShell 3.0 or newer.

Portanto, PowerShellGet exige um dos seguintes sistemas operacionais:Therefore, PowerShellGet requires one of the following operating systems:

  • Windows 10Windows 10
  • Windows 8.1 ProWindows 8.1 Pro
  • Windows 8.1 EnterpriseWindows 8.1 Enterprise
  • Windows 7 SP1Windows 7 SP1
  • Windows Server 2016 TP5Windows Server 2016 TP5
  • Windows Server 2012 R2Windows Server 2012 R2
  • Windows Server 2008 R2 SP1Windows Server 2008 R2 SP1

PowerShellGet também exige o .NET Framework 4.5 ou posterior.PowerShellGet also requires .NET Framework 4.5 or above. Você pode instalar o .NET Framework 4.5 ou acima acessando aqui.You can install .NET Framework 4.5 or above from here.

Tem alguma pergunta?Got a question? Deseja fazer comentários?Have feedback?

Encontre mais informações sobre a Galeria do PowerShell e o PowerShellGet na página Introdução.More information about the PowerShell Gallery and PowerShellGet can be found in the Getting Started page. Forneça comentários e relate problemas usando o UserVoice.Please provide feedback and report issues using UserVoice.